<?php 
$general_css = '';


/* Primary Font */
$default_primary_font = json_decode( lifevent_default_primary_font() );
$primary_font = json_decode( get_theme_mod( 'primary_font' ) ) ? json_decode( get_theme_mod( 'primary_font' ) ) : $default_primary_font;
$primary_font_family = $primary_font->font;


/* General Typo */
$general_font_size = get_theme_mod( 'general_font_size', '16px' );
$general_line_height = get_theme_mod( 'general_line_height', '28px' );
$general_letter_space = get_theme_mod( 'general_letter_space', '0.2px' );
$general_color = get_theme_mod( 'general_color', '#555555' );



/* Primary Color */
$primary_color = get_theme_mod( 'primary_color', '#ff1493' );



/* Second Font */
$default_second_font = json_decode( lifevent_default_second_font() );
$second_font = json_decode( get_theme_mod( 'second_font' ) ) ? json_decode( get_theme_mod( 'second_font' ) ) : $default_second_font;
$second_font_family = $second_font->font;


$general_css .= <<<CSS

body{
	font-family: {$primary_font_family};
	font-weight: 400;
	font-size: {$general_font_size};
	line-height: {$general_line_height};
	letter-spacing: {$general_letter_space};
	color: {$general_color};
}
p{
	color: {$general_color};
	line-height: {$general_line_height};
}

h1,h2,h3,h4,h5,h6, .second_font {
	font-family: {$second_font_family};
	letter-spacing: 0px;
}

.woocommerce.single-product .product .cart .single_add_to_cart_button,
.schedule a.active,
.ova-form-mail-chimp .submit input[type=submit],
.woocommerce-cart .woocommerce .woocommerce-cart-form .shop_table tbody tr td.actions .coupon button.button:hover
{
	background-color: {$primary_color}!important;
	border-color: {$primary_color};
}

.woocommerce ul.products li.product .price,
.woocommerce.single-product .product .woocommerce-product-rating .star-rating span:before,
.ova_lifevent_according_image .accor-lifevent-content-image .wp-content .sub-content .content .button-text,
.blog_header .post-meta-content .post-author a:hover, .blog_header .post-meta-content .categories a:hover,
.blog_header .link-all-blog:hover,
.woocommerce.single-product .product .woocommerce-product-rating .star-rating span:before,
.woocommerce.single-product .product .woocommerce-product-rating .star-rating span .rating:before,
.woocommerce.single-product .product .woocommerce-product-rating .woocommerce-review-link:hover,
.woocommerce.single-product .product .product_meta > span a:hover,
.woocommerce.single-product .product .woo-thumbnails .owl-nav .owl-next.disabled,
.woocommerce.single-product .product .woo-thumbnails .owl-nav .owl-prev.disabled,
.woocommerce.single-product .product .woo-thumbnails .owl-nav .owl-next:hover, 
.woocommerce.single-product .product .woo-thumbnails .owl-nav .owl-prev:hover,
.woocommerce.single-product .product .woocommerce-tabs .woocommerce-Tabs-panel--reviews .woocommerce-Reviews #comments ol.commentlist li .comment_container .comment-text .star-rating span:before,
.woocommerce.single-product .product .woocommerce-tabs .woocommerce-Tabs-panel--reviews .woocommerce-Reviews #review_form_wrapper .comment-form-rating .stars span a:before,
.woocommerce.single-product .product .woocommerce-tabs .woocommerce-Tabs-panel--reviews .woocommerce-Reviews #review_form_wrapper .required,
.woocommerce ul.products li.product h2.woocommerce-loop-product__title a:hover,
.woocommerce .share_social .share-social-icons li:hover a,
.woocommerce-cart .woocommerce .woocommerce-cart-form .shop_table tbody tr td.product-name a:hover,
.woocommerce-checkout .checkout #customer_details .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper .form-row label .required,
.woo-wrapper .product_meta .posted_in a,
.sidebar .widget .ova-recent-post-slide .list-recent-post .item-recent-post .content h2.title a:hover,
.sidebar .widget.widget_categories ul li a:hover, 
.sidebar .widget.widget_archive ul li a:hover, 
.sidebar .widget.widget_meta ul li a:hover, 
.sidebar .widget.widget_pages ul li a:hover, 
.sidebar .widget.widget_nav_menu ul li a:hover,
.sidebar .widget a:hover,
.sidebar .widget.widget_calendar tbody tr td a,
.sidebar .widget.widget_rss ul li a.rsswidget:hover,
.sidebar .widget.widget_tag_cloud .tagcloud a:hover,
article.post-wrap .post-content .post-meta .post-meta-content .post-author a:hover, 
article.post-wrap .post-content .post-meta .post-meta-content .categories a:hover,
article.post-wrap .post-content h2.post-title a:hover,
.detail-blog-lifevent .socials .tags a:hover,
.detail-blog-lifevent .socials .socials-inner .share-social .share-social-icons li a:hover,
.content_comments .comments ul.commentlists li.comment .comment-body .ova_reply .comment-reply-link:hover,
.content_comments .comments ul.commentlists li.comment .comment-body .ova_reply .comment-edit-link:hover,
.content_comments .comments .comment-respond .comment-form .author label:after,
.content_comments .comments .comment-respond .comment-form .email label:after,
article.post-wrap .post-content .post-meta .post-meta-content span.right,
article.post-wrap .post-content .post-meta .post-meta-content .post-author a,
article.post-wrap .post-content .post-meta .post-meta-content .categories a,
.blog_header .post-meta-content .post-author a,
.blog_header .post-meta-content span.right,
.blog_header .post-meta-content .categories a,
.rpwwt-post-title,
table tr td a,
.ovatheme_header_default nav.navbar li a:hover,
.sidebar .widget.widget_categories ul li:before, .sidebar .widget.widget_archive ul li:before, .sidebar .widget.widget_meta ul li:before, .sidebar .widget.widget_pages ul li:before, .sidebar .widget.widget_nav_menu ul li:before,
.woocommerce-pagination ul.page-numbers li .page-numbers
{
	color: {$primary_color};
}

.woocommerce.single-product .product .woocommerce-tabs ul.tabs li.active a:after,
.woocommerce.single-product .product .woocommerce-tabs ul.tabs li a:after,
.woocommerce.single-product .product .woocommerce-tabs .woocommerce-Tabs-panel--reviews .woocommerce-Reviews #review_form_wrapper .form-submit input#submit,
.woocommerce ul.products li.product .add_to_cart_button,
.woocommerce-cart .woocommerce .woocommerce-cart-form .shop_table tbody tr td.actions button.button,
.woocommerce ul.products li.product .add_to_cart_button,
.woocommerce-checkout .checkout #order_review .woocommerce-checkout-payment .place-order button.button,
.woocommerce.single-product .product .cart .single_add_to_cart_button,
.sidebar .widget .ova-recent-post-slide .list-recent-post .owl-dots .owl-dot.active,
.sidebar .widget .ova-recent-post-slide .list-recent-post .owl-dots .owl-dot:hover,
.woo-wrapper form.variations_form .single_add_to_cart_button,
.woo-wrapper form.variations_form .single_add_to_cart_button.disabled,
.content_comments .comments .comment-respond .comment-form p.form-submit input[type=submit]:hover,
#scrollUp,
.woocommerce.single-product .product .onsale,
.woocommerce ul.products li.product .onsale
{
	background-color: {$primary_color}!important;
}

.sidebar .widget .ova-recent-post-slide .list-recent-post .owl-dots .owl-dot,
.woocommerce-pagination ul.page-numbers li .page-numbers
{
	border-color: {$primary_color};
}

CSS;



return $general_css;


